{% extends "templates/form.njk" %}
{% from "packages/components/fieldset/macro.njk" import fieldset %}
{% from "packages/components/radios/macro.njk" import radios %}
{% from "packages/components/details/macro.njk" import details %}
{% from "macros/hrt-form-heading-with-para.njk" import hrtFormHeadingWithParagraph %}
{% from "macros/hrt-medication-list.njk" import hrtMedicationList %}
{% from "macros/hrt-medicines-expander.njk" import hrtMedicinesExpander %}

{% block formContent %}

  {% set legendHtml = hrtFormHeadingWithParagraph({heading: heading, paragraph: paragraphOne|safe}) %}
  {% set productHtml = hrtMedicationList(products, expanderContent) %}
  {% set medicinesExpanderHtml = hrtMedicinesExpander({expanderParagraphOne: expanderParagraphOne, expanderParagraphTwo: expanderParagraphTwo}) %}
  
  {% call fieldset({
    legend: {
      isPageHeading: false,
      html: legendHtml
    }
  }) %}

  {{ details({
      "classes": "nhsuk-expander",
      "text": expanderText,
      "HTML": productHtml
  }) }}

  {{ radios({
      id: "medicine-covered",
      idPrefix: "medicine-covered",
      classes: "",
      name: "isMedicineCovered",
      errorMessage: errors | getErrorForField('isMedicineCovered'),
      items: [
        {
          value: "yes",
          checked : claim.isMedicineCovered === "yes",
          text: medicineCovered
        },
        {
          value: "no",
          checked : claim.isMedicineCovered === "no",
          text: medicineNotCovered
        },
        {
          "divider": "or"
        },
        {
          value: "some",
          checked : claim.isMedicineCovered === "some",
          text: someMedicineCovered
        }
      ]
  }) }} 

  {{ details({
    "text": expanderHeading,
    "HTML": medicinesExpanderHtml 
  }) }}

  {% endcall %}

{% endblock %}